# wallpaper
桌面壁纸随机更换程序，从Bing、Baidu、ZOL、Sogou抓取图片设置为桌面壁纸；支持windows、Linux、Mac系统

# 功能简介
1. 自动更换桌面壁纸，最少系统资源占用；绿色、无广告、无监控；
2. bing壁纸质量好；自动下载并更换，积累下来您的桌面壁纸就是完美极致的风景大片；
3. zol壁纸自动挑选适配本机屏幕分辨率图片；
4. baidu壁纸自动适配本机屏幕分辨率；
5. sogou壁纸默认搜索高清类型的电脑壁纸；
6. 无网络情况下，随机挑选本程序积累下载来的图片作为壁纸；
7. 增加屏蔽目录，避免不喜欢的图片再次下载并设置为桌面壁纸。

# 启动壁纸更换

## 1. 获取程序
- 去 [https://gitee.com/um-why/wallpaper/releases](https://gitee.com/um-why/wallpaper/releases) 直接下载构建后的合适版本的zip压缩包。
- 或克隆源代码 `git clone https://gitee.com/um-why/wallpaper.git` ，自己构建 `go build -ldflags "-H windowsgui"` 。
- 将下载的zip压缩包，解压到任意文件夹中(建议解压到非系统盘文件目录中)，无需安装。

## 2. 程序配置
- 程序正常运行，需要配置文件 `config.json` ，该文件和主程序处于同级目录中；您通过 [项目发行版](https://gitee.com/um-why/wallpaper/releases) 列表中下载的壁纸更换程序包中自带该文件。
- 如果您对更换壁纸程序的设置感兴趣，请参考  [程序配置文件详细说明](doc/setting.md "程序配置文件详细说明")

## 3. 程序运行
- 运行本程序，即自动完成更改壁纸；程序无任何窗口，壁纸更换后自动退出，无后台守护资源占用；
- 您可以根据自己对壁纸切换频次的选择，自主设定程序的运行频次；
```
如果您喜欢每日更换一次桌面壁纸；建议设置为桌面壁纸来源于bing、不随机即可，程序配置如下：

{"sort":  ["bing"],"bing": {"mode": "today"}}
```
也可考虑开启随机，经过一小段时间的积累，您就可以拥有一个非常漂亮的自主的桌面壁纸素材库。开启随机，只需要将此处程序配置中的 `"mode": "today"` 修改为 `"mode": "random"`

------

```
如果您喜欢一日更换多次桌面壁纸；可设置桌面壁纸来源于 baidu 或 zol，程序配置如下：

{"sort": ["baidu", "zol"],"baidu": {"word": ["壁纸"],"download": false},"zol": {"sort": ["全部"],"download": true}}
```
## 4. 自动更换壁纸
- 您可以**将程序快捷方式加入系统的启动项**，既可实现开机更换桌面壁纸；
- 也可**将程序加入系统的任务计划程序，自由设置运行间隔**，即实现更绚丽的桌面壁纸定时更换。

# 桌面壁纸图片

- 壁纸文件下载保存的目录，为主程序所在位置同级的 `.wall` 文件夹；使用一段时间后，本目录下就会积累很多桌面壁纸图片；
- 不建议您更改壁纸图片的文件名称(程序将所有壁纸图片的来源进行加密，避免同一张图片重复下载)；
- 在壁纸保存目录中，你可以把自己喜欢的壁纸文件剪切到 `.wall` 目录下的任意文件夹中；在主目录下存在的图片，就不会再次下载；
- 如果壁纸图片源搜索下载的个别图片您并不喜欢，可以将其移动到程序的 `.wall/.del` 目录下，这样这张图片就不会再次下载，并且也不会被设置为桌面壁纸。

我的目录是这样的，你可以参考一下

![壁纸图片目录结构](https://gitee.com/um-why/wallpaper/raw/1.x/doc/directory.jpg "壁纸图片目录结构")

> 如你所见:
> .del目录下面放所有屏蔽的图片
> 0826、0903、0904、0915是我程序跑了几天后，我自己把好看的图片归档了
> baidu、sogou、zol是程序下载的壁纸图片的直接保存目录

快去试试吧！喜欢您能喜欢这个程序。

