package wall

import (
	"io/ioutil"
	"log"
	"net/http"
	"regexp"
	"strings"
)

func GetBingImageURL() (imgURL string, imgFilename string) {
	defer SetRandomWall()

	response, err := http.Get("https://www.bing.com/")
	if err != nil {
		panic(err)
	}
	defer response.Body.Close()

	re := regexp.MustCompile("Wallpaper\":\".+?\",")
	htmlData, _ := ioutil.ReadAll(response.Body)
	imgURL = re.FindString(string(htmlData))
	if imgURL == "" {
		panic("未找到BING的壁纸图片")
	}
	imgURL = imgURL[12:]
	if strings.Index(imgURL, `",`) > 0 {
		imgURL = strings.Replace(imgURL, `",`, "", 1)
	}
	if strings.Index(imgURL, "rf=") > 0 {
		imgURL = imgURL[:strings.Index(imgURL, "rf=")-6]
	}
	imgFilename = imgURL[7:]
	if strings.Index(imgFilename, ".jpg") > 0 {
		imgFilename = imgFilename[:strings.Index(imgFilename, ".jpg")+4]
	}

	if 0 < len(imgURL) {
		log.Println("今日Bing桌面URL:" + imgURL)
		return "https://s.cn.bing.net" + imgURL, imgFilename
	} else {
		return "", ""
	}
}
